package com.sifang.modules.changes.entity;


import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @author hz
 */
@Entity
@Table(name = "crm_customer_entry_completion_change_record")
public class CustomerEntryCompletionChangeRecord implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    @Id
    private String id;
    private String number;
    private String entryId;
    private String powerStationCode;
    private String otherImgs1;
    private String otherImgs2;
    private String otherImgs3;
    private String otherImgs4;
    private String dzjc1;
    private String dzjc2;
    private String zjImg1;
    private String zjImg2;
    private String zjImg3;
    private String zjImg4;
    private String zjImg5;
    private String componentImg1;
    private String componentImg2;
    private String sizeMeasureImgs;
    private String fixOtherImg;
    private String totalImgs;
    private String bwInnerImg;
    private String dcImgs;
    private String nbqZbImg;
    private String dqsbAnImgOne;
    private String nbqPlateImg;
    private String zjPlateImg;
    private String openWayVoltageImgs;
    private String jdImg1;
    private String jdImg2;
    private String jdImg3;
    private String jdImg4;
    private String jdImg5;
    private String jdImg6;
    private String yxImg;
    private String gebImg;
    private String gebImg2;
    private String dbImgs;
    private String filingDocumentPhoto;
    private String zjReport;
    private String otherFiles;
    private String status;
    private int num;
    private String reason;
    private String createBy;
    private String creator;
    private Date createTime;
    private String auditor;
    private Date auditTime;
    private String auditBy;
    private String remarks;

    private String houseOwnership;
    private String safetyWarningImg2;
    private String safetyWarningImg3;
    private String safetyWarningImg;
    private String safetyDiscloseDocImg;
    private String zjImg10;
    private String zjImg11;
    private String zjImg8;
    private String zjImg9;
    private String zjImg12;
    private String zjImg13;
    private String zjImg14;
    private String componentImg3;
    private String componentImg4;
    private String bkImg1;
    private String bkImg2;
    private String bkImg3;
    private String ykImg1;
    private String nbqZlcImg;
    private String bwJdImg;
    private String jdImg8;
    private String jdImg11;
    private String jdImg9;
    private String jdImg10;
    private String fsImg1;
    private String fsImg2;
    private String fsImg3;
    private String otherImgs5;
    private String otherImgs6;
    private String otherImgs7;
    private String otherImgs8;

    private String supplementVideoUrl;

    private String completeRemark;

    private String kgConditionFiles;

    private String filingDocumentCode;

    private String waterMudClampImgs;

    public String getWaterMudClampImgs() {
        return waterMudClampImgs;
    }

    public void setWaterMudClampImgs(String waterMudClampImgs) {
        this.waterMudClampImgs = waterMudClampImgs;
    }

    public String getFilingDocumentCode() {
        return filingDocumentCode;
    }

    public void setFilingDocumentCode(String filingDocumentCode) {
        this.filingDocumentCode = filingDocumentCode;
    }

    public String getKgConditionFiles() {
        return kgConditionFiles;
    }

    public void setKgConditionFiles(String kgConditionFiles) {
        this.kgConditionFiles = kgConditionFiles;
    }

    public String getSupplementVideoUrl() {
        return supplementVideoUrl;
    }

    public void setSupplementVideoUrl(String supplementVideoUrl) {
        this.supplementVideoUrl = supplementVideoUrl;
    }

    public String getCompleteRemark() {
        return completeRemark;
    }

    public void setCompleteRemark(String completeRemark) {
        this.completeRemark = completeRemark;
    }

    public String getBkImg2() {
        return bkImg2;
    }

    public void setBkImg2(String bkImg2) {
        this.bkImg2 = bkImg2;
    }

    public String getSafetyDiscloseDocImg() {
        return safetyDiscloseDocImg;
    }

    public void setSafetyDiscloseDocImg(String safetyDiscloseDocImg) {
        this.safetyDiscloseDocImg = safetyDiscloseDocImg;
    }

    public String getSafetyWarningImg2() {
        return safetyWarningImg2;
    }

    public void setSafetyWarningImg2(String safetyWarningImg2) {
        this.safetyWarningImg2 = safetyWarningImg2;
    }

    public String getSafetyWarningImg3() {
        return safetyWarningImg3;
    }

    public void setSafetyWarningImg3(String safetyWarningImg3) {
        this.safetyWarningImg3 = safetyWarningImg3;
    }

    public String getSafetyWarningImg() {
        return safetyWarningImg;
    }

    public void setSafetyWarningImg(String safetyWarningImg) {
        this.safetyWarningImg = safetyWarningImg;
    }

    public String getZjImg10() {
        return zjImg10;
    }

    public void setZjImg10(String zjImg10) {
        this.zjImg10 = zjImg10;
    }

    public String getZjImg11() {
        return zjImg11;
    }

    public void setZjImg11(String zjImg11) {
        this.zjImg11 = zjImg11;
    }

    public String getZjImg8() {
        return zjImg8;
    }

    public void setZjImg8(String zjImg8) {
        this.zjImg8 = zjImg8;
    }

    public String getZjImg9() {
        return zjImg9;
    }

    public void setZjImg9(String zjImg9) {
        this.zjImg9 = zjImg9;
    }

    public String getZjImg12() {
        return zjImg12;
    }

    public void setZjImg12(String zjImg12) {
        this.zjImg12 = zjImg12;
    }

    public String getZjImg13() {
        return zjImg13;
    }

    public void setZjImg13(String zjImg13) {
        this.zjImg13 = zjImg13;
    }

    public String getZjImg14() {
        return zjImg14;
    }

    public void setZjImg14(String zjImg14) {
        this.zjImg14 = zjImg14;
    }

    public String getComponentImg3() {
        return componentImg3;
    }

    public void setComponentImg3(String componentImg3) {
        this.componentImg3 = componentImg3;
    }

    public String getComponentImg4() {
        return componentImg4;
    }

    public void setComponentImg4(String componentImg4) {
        this.componentImg4 = componentImg4;
    }

    public String getBkImg1() {
        return bkImg1;
    }

    public void setBkImg1(String bkImg1) {
        this.bkImg1 = bkImg1;
    }

    public String getBkImg3() {
        return bkImg3;
    }

    public void setBkImg3(String bkImg3) {
        this.bkImg3 = bkImg3;
    }

    public String getYkImg1() {
        return ykImg1;
    }

    public void setYkImg1(String ykImg1) {
        this.ykImg1 = ykImg1;
    }

    public String getNbqZlcImg() {
        return nbqZlcImg;
    }

    public void setNbqZlcImg(String nbqZlcImg) {
        this.nbqZlcImg = nbqZlcImg;
    }

    public String getBwJdImg() {
        return bwJdImg;
    }

    public void setBwJdImg(String bwJdImg) {
        this.bwJdImg = bwJdImg;
    }

    public String getJdImg8() {
        return jdImg8;
    }

    public void setJdImg8(String jdImg8) {
        this.jdImg8 = jdImg8;
    }

    public String getJdImg11() {
        return jdImg11;
    }

    public void setJdImg11(String jdImg11) {
        this.jdImg11 = jdImg11;
    }

    public String getJdImg9() {
        return jdImg9;
    }

    public void setJdImg9(String jdImg9) {
        this.jdImg9 = jdImg9;
    }

    public String getJdImg10() {
        return jdImg10;
    }

    public void setJdImg10(String jdImg10) {
        this.jdImg10 = jdImg10;
    }

    public String getFsImg1() {
        return fsImg1;
    }

    public void setFsImg1(String fsImg1) {
        this.fsImg1 = fsImg1;
    }

    public String getFsImg2() {
        return fsImg2;
    }

    public void setFsImg2(String fsImg2) {
        this.fsImg2 = fsImg2;
    }

    public String getFsImg3() {
        return fsImg3;
    }

    public void setFsImg3(String fsImg3) {
        this.fsImg3 = fsImg3;
    }

    public String getOtherImgs5() {
        return otherImgs5;
    }

    public void setOtherImgs5(String otherImgs5) {
        this.otherImgs5 = otherImgs5;
    }

    public String getOtherImgs6() {
        return otherImgs6;
    }

    public void setOtherImgs6(String otherImgs6) {
        this.otherImgs6 = otherImgs6;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getEntryId() {
        return entryId;
    }

    public void setEntryId(String entryId) {
        this.entryId = entryId;
    }

    public String getPowerStationCode() {
        return powerStationCode;
    }

    public void setPowerStationCode(String powerStationCode) {
        this.powerStationCode = powerStationCode;
    }

    public String getOtherImgs1() {
        return otherImgs1;
    }

    public void setOtherImgs1(String otherImgs1) {
        this.otherImgs1 = otherImgs1;
    }

    public String getOtherImgs2() {
        return otherImgs2;
    }

    public void setOtherImgs2(String otherImgs2) {
        this.otherImgs2 = otherImgs2;
    }

    public String getOtherImgs3() {
        return otherImgs3;
    }

    public void setOtherImgs3(String otherImgs3) {
        this.otherImgs3 = otherImgs3;
    }

    public String getOtherImgs4() {
        return otherImgs4;
    }

    public void setOtherImgs4(String otherImgs4) {
        this.otherImgs4 = otherImgs4;
    }

    public String getDzjc1() {
        return dzjc1;
    }

    public void setDzjc1(String dzjc1) {
        this.dzjc1 = dzjc1;
    }

    public String getDzjc2() {
        return dzjc2;
    }

    public void setDzjc2(String dzjc2) {
        this.dzjc2 = dzjc2;
    }

    public String getZjImg1() {
        return zjImg1;
    }

    public void setZjImg1(String zjImg1) {
        this.zjImg1 = zjImg1;
    }

    public String getZjImg2() {
        return zjImg2;
    }

    public void setZjImg2(String zjImg2) {
        this.zjImg2 = zjImg2;
    }

    public String getZjImg3() {
        return zjImg3;
    }

    public void setZjImg3(String zjImg3) {
        this.zjImg3 = zjImg3;
    }

    public String getZjImg4() {
        return zjImg4;
    }

    public void setZjImg4(String zjImg4) {
        this.zjImg4 = zjImg4;
    }

    public String getZjImg5() {
        return zjImg5;
    }

    public void setZjImg5(String zjImg5) {
        this.zjImg5 = zjImg5;
    }

    public String getComponentImg1() {
        return componentImg1;
    }

    public void setComponentImg1(String componentImg1) {
        this.componentImg1 = componentImg1;
    }

    public String getComponentImg2() {
        return componentImg2;
    }

    public void setComponentImg2(String componentImg2) {
        this.componentImg2 = componentImg2;
    }

    public String getSizeMeasureImgs() {
        return sizeMeasureImgs;
    }

    public void setSizeMeasureImgs(String sizeMeasureImgs) {
        this.sizeMeasureImgs = sizeMeasureImgs;
    }

    public String getFixOtherImg() {
        return fixOtherImg;
    }

    public void setFixOtherImg(String fixOtherImg) {
        this.fixOtherImg = fixOtherImg;
    }

    public String getTotalImgs() {
        return totalImgs;
    }

    public void setTotalImgs(String totalImgs) {
        this.totalImgs = totalImgs;
    }

    public String getBwInnerImg() {
        return bwInnerImg;
    }

    public void setBwInnerImg(String bwInnerImg) {
        this.bwInnerImg = bwInnerImg;
    }

    public String getDcImgs() {
        return dcImgs;
    }

    public void setDcImgs(String dcImgs) {
        this.dcImgs = dcImgs;
    }

    public String getNbqZbImg() {
        return nbqZbImg;
    }

    public void setNbqZbImg(String nbqZbImg) {
        this.nbqZbImg = nbqZbImg;
    }

    public String getDqsbAnImgOne() {
        return dqsbAnImgOne;
    }

    public void setDqsbAnImgOne(String dqsbAnImgOne) {
        this.dqsbAnImgOne = dqsbAnImgOne;
    }

    public String getNbqPlateImg() {
        return nbqPlateImg;
    }

    public void setNbqPlateImg(String nbqPlateImg) {
        this.nbqPlateImg = nbqPlateImg;
    }

    public String getZjPlateImg() {
        return zjPlateImg;
    }

    public void setZjPlateImg(String zjPlateImg) {
        this.zjPlateImg = zjPlateImg;
    }

    public String getOpenWayVoltageImgs() {
        return openWayVoltageImgs;
    }

    public void setOpenWayVoltageImgs(String openWayVoltageImgs) {
        this.openWayVoltageImgs = openWayVoltageImgs;
    }

    public String getJdImg1() {
        return jdImg1;
    }

    public void setJdImg1(String jdImg1) {
        this.jdImg1 = jdImg1;
    }

    public String getJdImg2() {
        return jdImg2;
    }

    public void setJdImg2(String jdImg2) {
        this.jdImg2 = jdImg2;
    }

    public String getJdImg3() {
        return jdImg3;
    }

    public void setJdImg3(String jdImg3) {
        this.jdImg3 = jdImg3;
    }

    public String getJdImg4() {
        return jdImg4;
    }

    public void setJdImg4(String jdImg4) {
        this.jdImg4 = jdImg4;
    }

    public String getJdImg5() {
        return jdImg5;
    }

    public void setJdImg5(String jdImg5) {
        this.jdImg5 = jdImg5;
    }

    public String getJdImg6() {
        return jdImg6;
    }

    public void setJdImg6(String jdImg6) {
        this.jdImg6 = jdImg6;
    }

    public String getYxImg() {
        return yxImg;
    }

    public void setYxImg(String yxImg) {
        this.yxImg = yxImg;
    }

    public String getGebImg() {
        return gebImg;
    }

    public void setGebImg(String gebImg) {
        this.gebImg = gebImg;
    }

    public String getGebImg2() {
        return gebImg2;
    }

    public void setGebImg2(String gebImg2) {
        this.gebImg2 = gebImg2;
    }

    public String getDbImgs() {
        return dbImgs;
    }

    public void setDbImgs(String dbImgs) {
        this.dbImgs = dbImgs;
    }

    public String getFilingDocumentPhoto() {
        return filingDocumentPhoto;
    }

    public void setFilingDocumentPhoto(String filingDocumentPhoto) {
        this.filingDocumentPhoto = filingDocumentPhoto;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public int getNum() {
        return num;
    }

    public void setNum(int num) {
        this.num = num;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public Date getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(Date auditTime) {
        this.auditTime = auditTime;
    }

    public String getAuditBy() {
        return auditBy;
    }

    public void setAuditBy(String auditBy) {
        this.auditBy = auditBy;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getZjReport() {
        return zjReport;
    }

    public void setZjReport(String zjReport) {
        this.zjReport = zjReport;
    }

    public String getOtherFiles() {
        return otherFiles;
    }

    public void setOtherFiles(String otherFiles) {
        this.otherFiles = otherFiles;
    }

    public String getHouseOwnership() {
        return houseOwnership;
    }

    public void setHouseOwnership(String houseOwnership) {
        this.houseOwnership = houseOwnership;
    }

    public String getOtherImgs7() {
        return otherImgs7;
    }

    public void setOtherImgs7(String otherImgs7) {
        this.otherImgs7 = otherImgs7;
    }

    public String getOtherImgs8() {
        return otherImgs8;
    }

    public void setOtherImgs8(String otherImgs8) {
        this.otherImgs8 = otherImgs8;
    }

    @Override
    public String toString() {
        return "CustomerEntryCompletionChangeRecord{" +
                "id='" + id + '\'' +
                ", number='" + number + '\'' +
                ", entryId='" + entryId + '\'' +
                ", powerStationCode='" + powerStationCode + '\'' +
                ", otherImgs1='" + otherImgs1 + '\'' +
                ", otherImgs2='" + otherImgs2 + '\'' +
                ", otherImgs3='" + otherImgs3 + '\'' +
                ", otherImgs4='" + otherImgs4 + '\'' +
                ", dzjc1='" + dzjc1 + '\'' +
                ", dzjc2='" + dzjc2 + '\'' +
                ", zjImg1='" + zjImg1 + '\'' +
                ", zjImg2='" + zjImg2 + '\'' +
                ", zjImg3='" + zjImg3 + '\'' +
                ", zjImg4='" + zjImg4 + '\'' +
                ", zjImg5='" + zjImg5 + '\'' +
                ", componentImg1='" + componentImg1 + '\'' +
                ", componentImg2='" + componentImg2 + '\'' +
                ", sizeMeasureImgs='" + sizeMeasureImgs + '\'' +
                ", fixOtherImg='" + fixOtherImg + '\'' +
                ", totalImgs='" + totalImgs + '\'' +
                ", bwInnerImg='" + bwInnerImg + '\'' +
                ", dcImgs='" + dcImgs + '\'' +
                ", nbqZbImg='" + nbqZbImg + '\'' +
                ", dqsbAnImgOne='" + dqsbAnImgOne + '\'' +
                ", nbqPlateImg='" + nbqPlateImg + '\'' +
                ", zjPlateImg='" + zjPlateImg + '\'' +
                ", openWayVoltageImgs='" + openWayVoltageImgs + '\'' +
                ", jdImg1='" + jdImg1 + '\'' +
                ", jdImg2='" + jdImg2 + '\'' +
                ", jdImg3='" + jdImg3 + '\'' +
                ", jdImg4='" + jdImg4 + '\'' +
                ", jdImg5='" + jdImg5 + '\'' +
                ", jdImg6='" + jdImg6 + '\'' +
                ", yxImg='" + yxImg + '\'' +
                ", gebImg='" + gebImg + '\'' +
                ", gebImg2='" + gebImg2 + '\'' +
                ", dbImgs='" + dbImgs + '\'' +
                ", filingDocumentPhoto='" + filingDocumentPhoto + '\'' +
                ", zjReport='" + zjReport + '\'' +
                ", otherFiles='" + otherFiles + '\'' +
                ", status='" + status + '\'' +
                ", num=" + num +
                ", reason='" + reason + '\'' +
                ", createBy='" + createBy + '\'' +
                ", creator='" + creator + '\'' +
                ", createTime=" + createTime +
                ", auditor='" + auditor + '\'' +
                ", auditTime=" + auditTime +
                ", auditBy='" + auditBy + '\'' +
                ", remarks='" + remarks + '\'' +
                ", houseOwnership='" + houseOwnership + '\'' +
                '}';
    }
}
